Subject: RE: BeroFTPD 1.2.3 internal ls problem?

From: Roger Hanke <[email-masked]>
Date: Sun, 21 Feb 1999 19:10:38 -0500

Dear All,
 Confirmed by rebuilding BeroFTPD 1.2.3 with 
--disable-internal-ls option that it started using the
external /bin/ls as expected which of course did 
list out the device file major and minor numbers
correctly. So just one question left with regards to
this problem. I had assumed in this version that disabling
the internal ls meant even base ls commands would 
no longer use the built in. But by trussing it I did
confirm that this option does just revert behavior
to old WUFTPD Beta way. So perhaps the description
of the option should make it clear that the builtin will
still handle plain ls requests while all others will be 
handled by the external /bin/ls, since it is an 
important point?
	IMHO,
	Roger Hanke

>-----Original Message-----
>From:	Roger Hanke 
>Sent:	Tuesday, February 16, 1999 5:36 PM
>To:	'WUFTPD List'
>Subject:	BeroFTPD 1.2.3 internal ls problem?
>
>Dear All,
> Was wondering if anyone else has seen the below behavior
>when listing out the device files in a guest or anonymous
>users area. The size is reported incorrectly for the 
>ls -l command when the builtin ls is being used.
>Went back and checked the Beta 13 version I had been
>using which kicked to an external ls of course for this
>command and it does list the major minor numbers as
>expected.
>	Roger Hanke
>
>BeroFTPD 1.2.3
>ftp> cd dev
>250 CWD command successful.
>ftp> ls -l
>200 PORT command successful.
>150 Opening ASCII mode data connection for directory listing.
>total 0
>crw-rw-rw-   1 root     sys      2147483647 Jul 23  1997 tcp
>crw-rw-rw-   1 root     sys             0 Jul 23  1997 zero
>226 Transfer complete.
>remote: -l
>132 bytes received in 0.0043 seconds (30 Kbytes/s)
>ftp>
>
>Beta 13
>ftp> ls -l
>200 PORT command successful.
>150 Opening ASCII mode data connection for /bin/ls.
>total 0
>crw-rw-rw-   1 root     sys       11,  42 Jul 23  1997 tcp
>crw-rw-rw-   1 root     sys       13,  12 Jul 23  1997 zero
>226 Transfer complete.
>remote: -l
>130 bytes received in 0.0023 seconds (56 Kbytes/s)
>ftp>
>-----------------------------------------------------
> Roger A. Hanke         AT&T Web Site Services
> (732)576-5738          [email-masked]
> FAX (732)576-6041      http://lynxhub.att.com/~rah/
>-----------------------------------------------------